/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct PatchPostRequest {
    /// Set to `true` to pin the post to the channel it is in
    #[serde(rename = "is_pinned", skip_serializing_if = "Option::is_none")]
    pub is_pinned: Option<bool>,
    /// The message text of the post
    #[serde(rename = "message", skip_serializing_if = "Option::is_none")]
    pub message: Option<String>,
    /// The list of files attached to this post
    #[serde(rename = "file_ids", skip_serializing_if = "Option::is_none")]
    pub file_ids: Option<Vec<String>>,
    /// Set to `true` if the post has reactions to it
    #[serde(rename = "has_reactions", skip_serializing_if = "Option::is_none")]
    pub has_reactions: Option<bool>,
    /// A general JSON property bag to attach to the post
    #[serde(rename = "props", skip_serializing_if = "Option::is_none")]
    pub props: Option<String>,
}

impl PatchPostRequest {
    pub fn new() -> PatchPostRequest {
        PatchPostRequest {
            is_pinned: None,
            message: None,
            file_ids: None,
            has_reactions: None,
            props: None,
        }
    }
}
